﻿:root {
    --primary: #017AF2;
    --secondary: #6385FF;
    --warning: #F66514;
    --grey: rgb(119, 118, 120);
    --lightgrey: #F2F5FF;
    --lightergrey: #DAE3FF;
    --lightblue: #017AF2;
    --lighterblue: #CED9FF;
}

* {
    scroll-behavior: smooth;
    -webkit-font-smoothing: antialiased;
    box-sizing: border-box !important;
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: inherit;
    margin: 10px;
}

::-webkit-scrollbar-track {
    border: 1px solid var(--primary);
    background: var(--lightgrey);
}

::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: 30px;
}

    ::-webkit-scrollbar-thumb:hover {
        background: var(--secondary);
    }


/* Body */
/* ---------------------------------------------------------- */
html {
    scroll-behavior: smooth;
    overflow-x: hidden;
    min-height: 100%;
    position: relative;
}

body {
    height: 100%;
}

/* General */
.main-top-padding {
    margin-top: 80px;
}

.main-bottom-padding {
    margin-top: 80px;
    padding-bottom: 60px;
}

.box-shadow {
    --shadow: 0px 4px 16px 0px rgba(0,0,0,0.1);
    box-shadow: var(--shadow);
}

.border-primary {
    border: 2px solid var(--primary);
}

.border-blue {
    border: 2px solid var(--lightblue);
}

.border-lightblue {
    border-color: #C5D5F9 !important;
}

.border-lighterblue {
    border-color: #F9FBFF !important;
}

.object-fit-contain {
    object-fit: contain;
}

.object-fit-cover {
    object-fit: cover;
}

mark, .mark {
    background: var(--lightgrey);
    padding: 0 5px;
}

smaller, .smaller {
    font-size: .775em;
}

.width-fit-content {
    width: fit-content;
}

.text-grey {
    color: var(--grey) !important
}

.no-select {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}


@media only screen and (min-width: 768px) {
    .w-md-50 {
        width: 50%
    }
}

/* Sticky sidebar */
/* ---------------------------------------------------------- */
.sidebar-section {
    height: 100%
}

    .sidebar-section .sticky-top {
        top: 140px;
    }


/* Footer */
/* ---------------------------------------------------------- */
footer {
    border-top: 1px solid var(--lighterblue);
    margin-top: -10px;
}

    footer .social {
        background-color: var(--lighterblue);
        border-radius: 100px;
        color: var(--lightblue);
        height: 40px;
        width: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-right: 5px;
        border: none !important
    }

        footer .social:hover {
            background-color: var(--lightergrey);
        }

.backtotop {
    position: -webkit-sticky;
    position: sticky;
    bottom: 14px;
    text-align: end;
    padding-right: 13px;
    opacity: 0;
    pointer-events: none;
    transition: 0.4s ease;
}

    .backtotop.show {
        opacity: 1;
        pointer-events: all;
    }

    .backtotop a {
        right: 0;
        height: 20px;
        margin: auto;
        background-color: var(--primary);
        color: white !important;
        text-decoration: none !important;
        padding: 3px 30px;
        border-radius: 30px;
        cursor: pointer;
    }

        .backtotop a:hover {
            background-color: var(--secondary);
        }

@media only screen and (max-width: 768px) {
    .backtotop a {
        padding: 6px 9px 4px 9px;
    }
}

/* Backgrounds */
/* ---------------------------------------------------------- */
.bg-black {
    background-color: black !important;
}

.bg-light {
    background-color: var(--lightgrey) !important;
}

.bg-lighter {
    background-color: #F9FBFF !important;
}

.bg-lighterblue {
    background-color: var(--lighterblue) !important;
}

.bg-lightgrey {
    background-color: var(--lightgrey) !important
}

.bg-gradient {
    background-size: 60%;
    background-repeat: repeat-x;
    background-position-y: 0%;
    background-color: var(--lightgrey) !important;
    background-image: url("../images/backgrounds/background-home.svg") !important;
}

.bg-gradient-dark {
    background-size: cover;
    background-color: var(--lightgrey) !important;
    background-image: url("../images/backgrounds/background.jpg") !important;
}

.bg-gradient-light {
    background-image: linear-gradient(210deg, #c6d9e1, var(--lightgrey) 74%);
}

@media only screen and (max-width: 768px) {
    .bg-gradient {
        background-size: 200%;
    }
}

/* Cards */
/* ---------------------------------------------------------- */
.card {
    border-radius: 10px;
    padding: 40px 15px;
    border: none;
}

    .card.login {
        max-width: 450px;
        margin: auto;
    }

    .card.CreateEdit {
        max-width: 800px;
        margin: auto;
    }

        .card.CreateEdit .logo {
            width: 300px;
            max-width: 100%;
        }

    .card h1 {
        font-size: 2.1rem;
    }

/* Buttons */
/* ---------------------------------------------------------- */
.btn {
    border-radius: 100px;
    padding: 7px 40px;
    min-width: 150px;
    border: none !important;
    transition: box-shadow 0.2s !important;
}

    .btn.btn-sm {
        min-width: auto;
        padding: 10px;
    }

    .btn.btn-icon {
        min-width: auto;
        padding: 10px;
        height: 40px;
        width: 40px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }


.btn-primary {
    background-color: var(--primary) !important;
}

    .btn-primary:hover {
        background-color: var(--secondary) !important;
    }

.contact.btn-primary {
    background-color: var(--primary) !important;
}

    .contact.btn-primary:hover {
        --shadow: 60px 0px 43px 0px rgba(3,18,40,.25) inset;
        box-shadow: var(--shadow);
    }

.btn-secondary {
    background-color: var(--secondary) !important;
}

    .btn-secondary:hover {
        background-color: var(--primary) !important;
    }

.btn-success {
    background-color: green;
}

    .btn-success:hover {
        background-color: forestgreen !important;
    }

.btn-primary-outline {
    background-color: var(--lightergrey);
    border: 1px solid var(--primary) !important;
    transition: 0.3s ease !important;
}

    .btn-primary-outline:hover {
        background-color: var(--lightgrey);
    }



/* Login */
/* ---------------------------------------------------------- */
.link-login {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    background: var(--secondary);
    border-radius: 100px;
    border: 1px solid var(--secondary);
    margin-bottom: 0.8rem;
    font-size: 0.9rem;
    transition: 0.2s !important;
}

    .link-login:hover {
        --shadow: 60px 0px 43px 0px rgba(3,18,40,.25) inset;
        box-shadow: var(--shadow);
    }

    .link-login .link-img {
        background: rgb(255, 255, 255);
        height: 100%;
        padding: 8px 8px 8px 12px;
        border-top-left-radius: 100px;
        border-bottom-left-radius: 100px;
    }

    .link-login .link-text {
        text-align: center;
        color: white;
        width: 100%;
    }

.line-divider {
    font-weight: bold;
    font-family: Nunito, serif;
    width: 100%;
    background-image: linear-gradient(to right, var(--primary) 33%, white 0%);
    background-position: center center;
    background-size: 8px 2px;
    background-repeat: repeat-x;
    padding: 6px 0px;
}

    .line-divider span {
        background-color: white;
        padding: 0px 8px;
    }

    .line-divider.solid {
        font-weight: bold;
        font-family: Nunito, serif;
        width: 100%;
        background-image: linear-gradient(to right, #C5D5F9 100%, white 0%);
        background-position: center center;
        background-size: 8px 1px;
        background-repeat: repeat-x;
        padding: 6px 0px;
    }

        .line-divider.solid span {
            background-color: white;
            padding: 0px 8px;
        }

/* Inputs */
/* ---------------------------------------------------------- */
input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
    box-shadow: white 0px 0px 0px 30px inset !important;
}

label {
    display: unset;
}

textarea {
    padding: 10px 20px;
    border: 1px solid var(--grey);
    /*border-radius: 100px;*/
    width: 100%;
    border: 1px solid black !important;
}

input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--form-background);
    margin: 0;
    font: inherit;
    color: currentColor;
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid currentColor;
    border-radius: 50%;
    transform: translateY(-0.075em);
    display: inline-grid;
    place-content: center;
}

    input[type="radio"]::before {
        content: "";
        width: 0.4em;
        height: 0.4em;
        border-radius: 50%;
        transform: scale(0);
        transition: 120ms transform ease-in-out;
        box-shadow: inset 1em 1em var(--form-control-color);
        background-color: black;
    }

    input[type="radio"]:checked::before {
        transform: scale(1);
    }

    input[type="radio"]:focus {
        outline: max(2px, 0.15em) solid rgba(0,0,0,0.4);
    }

label:has(input[type="radio"]) {
    cursor: pointer
}

label input[type="radio"]:not(:disabled):hover {
    background-color: rgba(0, 0, 0, 0.2);
}

select {
    -webkit-appearance: none;
    padding-right: 20px;
    background-image: url('../images/icons/down-arrow.svg');
    background-repeat: no-repeat;
    background-size: 10px;
    background-position-x: 100%;
    background-position-y: center;
    background-origin: content-box;
}

    select.form-dashboard, input.form-dashboard {
        padding: 10px 20px;
        border: 1px solid var(--grey);
        border-radius: 100px;
        width: 100%;
    }

    select.form-dashboard {
        cursor: pointer;
    }

        select.form-dashboard:before {
            content: ">";
            cursor: pointer;
        }

.multiselect {
    width: 100%;
}

.selectBox {
    position: relative;
}

    .selectBox select {
        width: 100%;
    }

.overSelect {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

#mySelectOptions {
    display: none;
    border: 0.5px #7c7c7c solid;
    background-color: #ffffff;
    max-height: 150px;
    overflow-y: scroll;
    width: 100%;
    padding: 15px;
    position: absolute;
}

    #mySelectOptions label {
        display: block;
        font-weight: normal;
        display: block;
        white-space: nowrap;
        min-height: 1.2em;
        background-color: #ffffff00;
        padding: 0 2.25rem 0 .75rem;
    }

        #mySelectOptions label:hover {
            background-color: #1e90ff;
        }

.form-control:disabled, .form-control[readonly] {
    background-color: transparent;
    opacity: 1;
}

/* Floating */
textarea:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus {
    box-shadow: none;
    outline: none 0px;
}

.form-floating > .form-control, .form-floating > .form-select {
    height: calc(2px + 2.9rem);
}

    .form-floating > .form-control:focus, .form-floating > .form-control:not(:placeholder-shown) {
        padding-top: 0px;
        padding-bottom: 0px;
    }

.form-floating > label {
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    padding: 12px;
    pointer-events: none;
    border: 1px solid transparent;
    transform-origin: 0px 0px;
    transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
}

.form-floating > .form-control:focus ~ label, .form-floating > .form-control:not(:placeholder-shown) ~ label, .form-floating > .form-select ~ label {
    opacity: 1;
    transform: scale(0.75) translateY(-0.8rem) translateX(0.55rem);
    background-color: rgb(255, 255, 255);
    height: 30px;
    color: rgb(169, 169, 169);
    padding: 0px 8px;
}

.floating-label {
    opacity: 1;
    transform: scale(0.75);
    background-color: rgb(255, 255, 255);
    height: 30px;
    color: rgb(169, 169, 169);
    transform-origin: 0 0;
}

/* Checkbox */
.checkbox-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    user-select: none;
    width: fit-content;
    transition: 0.4s;
}

    .checkbox-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0px;
        width: 0px;
    }

.checkmark {
    position: absolute;
    top: 1px;
    left: 0px;
    border-radius: 5px;
    border: 1px solid black;
    height: 20px;
    width: 20px;
    transition: 0.2s;
}

.checkbox-container:hover input ~ .checkmark {
    transition: 0.2s;
    background-color: rgb(238, 238, 238) !important;
}

.checkbox-container input:checked ~ .checkmark {
    background-color: var(--lightgrey);
}

.checkmark::after {
    content: "";
    position: absolute;
    display: none;
}

.checkbox-container input:checked ~ .checkmark::after {
    display: block;
}

.checkbox-container .checkmark::after {
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border-style: solid;
    border-color: black;
    border-image: initial;
    border-width: 0px 1px 1px 0px;
    transform: rotate(45deg);
}

/* Menu */
/* ---------------------------------------------------------- */
nav a, nav a:hover {
    text-decoration: none !important;
    border: none !important;
}

.navbar {
}

nav {
    --shadow: 0px 8px 12px 0px rgba(106,130,173,0.09);
    box-shadow: var(--shadow);
}

    nav .nav-link {
        font-size: 0.9rem;
        padding: 5px 20px;
    }

        nav .nav-link.active {
            border-radius: 100px;
            background-color: var(--lightergrey);
            padding: 3px 20px !important;
            color: var(--primary) !important;
            border: 1px solid var(--primary) !important;
        }

        nav .nav-link:hover {
            color: var(--primary) !important;
        }

    nav .nav-item {
        align-content: center;
        text-align: center;
    }

.dropdown-toggle::after {
    display: none;
    content: none;
}

.dropdown-menu.account {
    right: 0px;
    left: auto;
}

.dropdown-menu {
    border-top: none;
    border-radius: 0px;
    margin-top: 0.525rem !important;
}

.dropdown-item {
    text-align: center;
    border-radius: 100px;
    background-color: white;
    margin: 7px;
    width: auto;
    padding: 0px !important;
    color: black !important;
    border: 1px solid transparent !important;
}

    .dropdown-item:focus, .dropdown-item:hover {
        border: 1px solid transparent !important;
    }

    .dropdown-item.active, .dropdown-item:active {
        background-color: var(--lightergrey);
        color: var(--primary) !important;
        border: 1px solid var(--lightblue) !important;
    }

.dropdown-toggle.show .user-icon {
    border: 2px solid var(--secondary);
}

#MainUserIcon {
    align-items: center;
}

    #MainUserIcon .nav-item {
        pointer-events: none !important;
    }

.menu-user {
    display: flex;
    padding: 5px 8px;
    text-align: left;
    background-color: #f2f5ff;
    color: black;
    border-radius: 7px;
    transition: background 0.1s ease;
    align-items: center;
}

    .menu-user.admin-icon {
        background-color: rgba(246, 101, 20, 0.07);
    }

        .menu-user.admin-icon small {
            font-size: 0.7rem
        }

        .menu-user.admin-icon:hover {
            background-color: rgba(246, 101, 20, 0.1);
        }

    .menu-user:hover {
        background-color: #DAE3FF;
    }

    .menu-user .name {
        padding-left: 5px;
        padding-right: 8px;
        line-height: 1rem;
    }

.logout-btn a {
    width: 35px;
    height: 35px;
    color: black !important;
    background: var(--lightergrey);
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--lightergrey);
    padding-top: 2px !important;
}

    .logout-btn a:hover {
        background-color: var(--lighterblue);
        color: black !important;
    }

.user-icon {
    display: flex;
    width: 35px;
    height: 35px;
    background-color: var(--lightergrey);
    border-radius: 100%;
    place-content: center;
    flex-wrap: wrap;
    border: 2px solid var(--lightgrey);
    color: var(--primary);
    font-weight: bold;
    transition: 0.3s;
    font-family: "Roboto Mono", sans-serif;
}

    .user-icon:hover {
        border: 2px solid var(--primary);
    }

.admin-icon .user-icon, .dropdown-toggle.show .admin-icon .user-icon {
    background-color: var(--warning) !important;
    color: white !important;
    border-color: #ffbb95;
}

.dropdown-toggle.show .admin-icon .user-icon, .menu-user:hover > .admin-icon .user-icon {
    background-color: #ff8a49 !important;
    color: white !important;
    border-color: #ffbb95 !important;
}

.mobile-icons {
    display: inline-flex;
}

.mobile-user {
    align-items: center;
    gap: 9px;
}

    .mobile-user .nav-link.dropdown-toggle {
        padding: 0px 0px 0px 5px;
    }

.hamburger {
    display: inline-grid;
    justify-content: center;
    width: 50px;
    padding: 5px;
    background: none;
    cursor: pointer !important;
}

    .hamburger.open span {
        background-color: var(--primary);
    }

    .hamburger span {
        display: block;
        margin-bottom: 4px;
        width: 30px;
        height: 4px;
        border-radius: 100px;
        background-color: black;
        transition: 1s linear(0 0%, 0.004 3.93333%, 0.016 7.86667%, 0.035 11.8%, 0.063 15.7333%, 0.098 19.6667%, 0.141 23.6%, 0.25 26.4833%, 0.391 29.3667%, 0.563 32.25%, 0.765 35.1333%, 1 38.0167%, 0.891 40.9%, 0.848 43.175%, 0.813 45.45%, 0.785 47.725%, 0.766 50%, 0.754 52.275%, 0.75 54.55%, 0.754 56.825%, 0.766 59.1%, 0.785 61.375%, 0.813 63.65%, 0.848 65.925%, 0.891 68.2%, 1 72.7%, 0.973 74.975%, 0.953 77.25%, 0.941 79.525%, 0.938 81.8%, 0.941 84.075%, 0.953 86.35%, 0.973 88.625%, 1 90.9%, 0.988 93.175%, 0.984 95.45%, 0.988 97.725%, 1 100%);
    }

        .hamburger span:nth-child(0) {
            transform: translateX(-4px);
        }

        .hamburger span:nth-child(1) {
            transform: translateX(4px);
        }

        .hamburger span:nth-child(2) {
            transform: translateX(-4px);
        }

        .hamburger span:nth-child(4) {
            transform: translateX(-4px);
        }

    .hamburger:hover {
    }

        .hamburger:hover span {
        }

    .hamburger.open span {
        transform: translateX(0px) !important;
    }

/* Table */
/* ---------------------------------------------------------- */
.table {
    background-color: white;
    border-collapse: separate;
    border-spacing: 0px;
    border: solid var(--lighterblue) 1px;
    border-radius: 10px;
}

    .table.valign-center td, table.valign-center th {
        vertical-align: middle;
    }

    .table th {
        font-weight: normal;
        border-bottom: 1px solid var(--lighterblue);
        background-color: rgb(242, 245, 255) !important;
        color: var(--grey) !important;
    }

    .table tr {
        transition: 0.2s;
        border-right-color: white !important;
        border-bottom-color: white !important;
        border-left-color: white !important;
        border-top: 1px solid var(--lighterblue) !important;
    }

        .table tr:not(:last-child) {
            box-shadow: 0px -1px 0px 0px var(--lighterblue) inset;
        }

    .table td {
        border: none;
    }

    .table tr:hover {
        background-color: rgba(0, 0, 0, 0.02);
    }

    .table > :not(:last-child) > :last-child > * {
        border-bottom-color: var(--lighterblue);
    }

    .table > :not(caption) > * > * {
        padding: 10px 20px !important;
    }

    .table th:first-of-type {
        border-top-left-radius: 10px;
        /* border-bottom-left-radius: 10px;*/
    }

    .table th:last-of-type {
        border-top-right-radius: 10px;
        /* border-bottom-right-radius: 10px;*/
    }

    .table tr:last-of-type td:first-of-type {
        border-bottom-left-radius: 10px;
    }

    .table tr:last-of-type td:last-of-type {
        border-bottom-right-radius: 10px;
    }

@media only screen and (max-width: 768px) {
    .table > :not(caption) > * > * {
        padding: 10px 13px !important;
    }

    .table {
        border-collapse: collapse;
        overflow: hidden;
        position: relative;
    }

        .table, .table th, .table td {
            border-collapse: collapse;
        }

            .table td, .table th {
                width: 100%;
                display: inline-grid;
                grid-template-columns: 1fr 3fr;
                gap: 10px;
                border: none;
                word-break: break-word;
            }

                .table td > a {
                    display: inline-block !important;
                }

            .table th {
                display: none;
            }

            .table td::before {
                content: attr(data-mobilecaption);
                margin: -14px 10px -14px -14px;
                width: 125px;
                border-right: 1px solid var(--lighterblue);
                mix-blend-mode: darken;
                padding: 14px 15px !important;
                background: rgb(242, 245, 255) !important;
                color: var(--grey) !important;
                font-size: 15px;
            }
}

.metadata-table {
    background-color: white;
    border-spacing: 0px;
    border-radius: 0px;
    width: 100%;
    table-layout: fixed;
}

    .metadata-table th,
    .metadata-table td {
        padding: 5px;
    }


/* Admin Dashboard */
/* ---------------------------------------------------------- */
.dashboard-logo {
    background: rgb(255, 255, 255, 0.6);
    border: 2px solid var(--lightergrey);
    border-radius: 13px;
    padding: 15px;
    width: 150px;
    margin-bottom: 15px;
    backdrop-filter: blur(4px);
}


/* Students dashboard */
/* ---------------------------------------------------------- */
.student-results {
    height: 350px;
    display: grid;
    transition: background 0.2s ease
}

    .student-results:not(.distinction ):hover {
        background: rgba(250,250,250,0.99);
    }

.result-icon {
    color: crimson;
    font-size: 26px;
}

.student-results h2 {
    color: #344250 !important;
    font-size: 56px;
    font-weight: bold !important;
    margin: 0;
}

.student-results h3 {
    color: #344250 !important;
    font-size: 36px;
    font-weight: bold !important;
    margin: 0;
}

.student-results h2 small {
    font-size: 29px;
    padding-left: 4px;
}

.student-results .quiz-info {
    text-align: center;
    align-content: end;
}

.student-results.pending {
    background: rgba(250,250,250,0.99) !important;
}

.student-results.distinction {
    background: rgba(250,250,0,0.06);
    background-image: radial-gradient(circle at 100% 100%, transparent 6px, #d6b300 6px, #d6b300 11px, transparent 11px), linear-gradient(to right, #d6b300, #fff82e), radial-gradient(circle at 0% 100%, transparent 6px, #fff82e 6px, #fff82e 11px, transparent 11px), linear-gradient(to bottom, #fff82e, #fcff57), radial-gradient(circle at 0% 0%, transparent 6px, #fcff57 6px, #fcff57 11px, transparent 11px), linear-gradient(to left, #fcff57, #c6b353), radial-gradient(circle at 100% 0%, transparent 6px, #c6b353 6px, #c6b353 11px, transparent 11px), linear-gradient(to top, #c6b353, #d6b300);
    background-size: 11px 11px, calc(100% - 22px) 5px, 11px 11px, 5px calc(100% - 22px);
    background-position: top left,top center,top right,center right, bottom right,bottom center,bottom left,center left;
    background-repeat: no-repeat;
}

    .student-results.distinction h2 {
        color: darkgoldenrod !important;
    }

    .student-results.distinction:hover {
        background: rgba(250,250,0,0.03);
        background-image: radial-gradient(circle at 100% 100%, transparent 6px, #d6b300 6px, #d6b300 11px, transparent 11px), linear-gradient(to right, #d6b300, #fff82e), radial-gradient(circle at 0% 100%, transparent 6px, #fff82e 6px, #fff82e 11px, transparent 11px), linear-gradient(to bottom, #fff82e, #fcff57), radial-gradient(circle at 0% 0%, transparent 6px, #fcff57 6px, #fcff57 11px, transparent 11px), linear-gradient(to left, #fcff57, #c6b353), radial-gradient(circle at 100% 0%, transparent 6px, #c6b353 6px, #c6b353 11px, transparent 11px), linear-gradient(to top, #c6b353, #d6b300);
        background-size: 11px 11px, calc(100% - 22px) 5px, 11px 11px, 5px calc(100% - 22px);
        background-position: top left,top center,top right,center right, bottom right,bottom center,bottom left,center left;
        background-repeat: no-repeat;
    }

    .student-results.distinction .btn {
        background-color: goldenrod !important
    }

        .student-results.distinction .btn:hover {
            background-color: darkgoldenrod !important
        }

@media only screen and (max-width: 768px) {
    .student-results {
        height: 300px;
    }

        .student-results .quiz-info {
            text-align: start;
        }
}

/* Dashboard courses and students */
/* ---------------------------------------------------------- */
.student-card {
    display: grid;
    border: 1px solid #C5D5F9 !important;
    align-items: center;
    padding-top: .5rem !important;
    padding-bottom: .5rem !important;
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important;
    transition: background 0.3s ease;
    text-align: start;
}

.student-break {
    height: 23px;
    width: 2px;
    background: var(--lighterblue);
    margin: auto;
    margin-top: 0rem;
    margin-bottom: 1rem;
}

.student-toggle {
    width: 210px;
    display: block;
    margin: auto;
    background: var(--lightergrey);
    text-decoration: none !important;
    border: none !important;
    margin-bottom: 1.5rem;
    border: 1px solid #C5D5F9 !important;
    border-top: none !important;
    border-bottom-left-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
    transition: 0.3s ease;
    cursor: pointer;
}

    .student-toggle:hover {
        background: var(--lighterblue);
    }

    .student-toggle.is-open i {
        transform: rotate(180deg);
    }

.student-container small {
    font-size: 10px;
    padding: 3px 9px !important;
}

.course-started small {
    background: var(--warning) !important;
    color: white !important;
    border: none !important
}

.course-completed small {
    background: #555 !important;
    color: white !important;
    border: none !important
}


@media only screen and (max-width: 768px) {
    .student-container [data-mobilecaption]:before {
        content: attr(data-mobilecaption);
        display: inline-block;
        padding-right: 5px;
    }

    .student-card {
        display: block;
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }
}


/* Pills */
/* ---------------------------------------------------------- */
.pill {
    width: fit-content;
    padding: 3px 20px !important;
    border-radius: 100px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.pill-sm {
    padding: 15px !important;
    height: 20px;
    width: 20px;
}

.pill-primary {
    background-color: var(--lightgrey);
    color: var(--primary) !important;
    border: 1px solid var(--lightergrey) !important;
}

.pill-danger {
    background-color: rgba(250,0,0,0.05);
    color: red !important;
    border: 1px solid red !important;
}

.pill-success {
    background-color: rgba(0,250,0,0.05);
    color: green !important;
    border: 1px solid green !important;
}

/* User Verification Badge */
/* ---------------------------------------------------------- */
.verification-badge {
    /* display: inline-flex; */
}

    .verification-badge:after {
        content: "Admin";
        font-size: 0.5rem;
        position: relative;
        top: -0.4rem;
        height: fit-content;
        margin-left: 5px;
        padding: 1px 4px;
        border-radius: 10px;
        color: white;
    }

    .verification-badge.badge-sysadmin:after {
        content: "Sysadmin";
        background-color: var(--warning);
    }

    .verification-badge.badge-admin:after {
        background-color: var(--secondary);
    }

    .verification-badge.badge-admin-2:after {
        background-color: var(--lightergrey);
        color: var(--primary);
    }

.badge {
    border-radius: 100px;
    padding: 2px 5px
}

.course .badge {
    font-size: 0.7rem !important
}
/* Courses */
/* ---------------------------------------------------------- */
.course-row {
    /*--bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(var(--bs-gutter-y)* -1);
    margin-right: calc(var(--bs-gutter-x)* -.5);
    margin-left: calc(var(--bs-gutter-x)* -.5);*/

    display: grid;
    grid-template-columns: 2fr 2fr;
    gap: 14px;
}

.course {
    background-color: black;
    background-image: url('../images/backgrounds/mesh/mesh-378.jpg');
    background-size: 100% 210%;
    background-position: 50% 10%;
    color: white;
    padding: 1.8rem;
    border-radius: 14px;
    transition: background 1s cubic-bezier(.65,.2,.11,.58);
    min-height: 300px;
    width: 100%;
}

    .course:hover {
        background-size: 150% 310%;
        background-position: 00% 100%;
        transition: background 9s cubic-bezier(.44,.95,0,.95)
    }

    .course .card-logo {
        height: 35px;
        max-width: 60px;
        background: var(--lightgrey);
        padding: 6px;
        border-radius: 1px;
        object-fit: contain;
    }

    .course .description {
        line-height: 1.5em;
        min-height: 4.5em;
    } 

#media-items .accordion-toggle {
    width: calc(100% - 300px);
}

#media-items i.accordion-toggle {
    width: 30px !important;
}

#media-items .disable-pill {
    opacity: 0.3;
    filter: grayscale();
}

.move-icons {
    display: inline-flex;
    text-align: center;
    align-items: center;
    background: var(--lightgrey);
    border-radius: 6px;
    overflow: hidden;
}

    .move-icons .move-up, .move-icons .move-down {
        font-size: 9px;
        padding: 4px 10px;
        cursor: pointer;
        color: black;
        text-decoration: none;
        border-bottom: none;
        transition: unset;
        display: block;
    }

        .move-icons .move-up:hover, .move-icons .move-down:hover {
            background: var(--lightergrey);
        }

        .move-icons .move-up:active, .move-icons .move-down:active {
            background: var(--lighterblue);
        }

    .move-icons .disabled {
        pointer-events: none !important
    }

        .move-icons .disabled i {
            opacity: 0.2;
        }

    .move-icons .move-down {
        border-top: 1px solid var(--lighterblue)
    }

.course-tags {
    padding: 0;
    margin: 0;
    display: inline;
    font-size: 11px;
}

    .course-tags .pill {
        padding: 0px !important;
        display: inline-flex;
        height: 28px;
        aspect-ratio: 1;
        align-items: center;
        justify-content: center;
    }

.card-logo {
    height: 35px;
    max-width: 60px;
    background: var(--lightgrey);
    padding: 6px;
    border-radius: 1px;
    object-fit: contain;
}


.course-notstarted, .course-started, .course-completed {
    min-height: 330px;
    transition: box-shadow 0.3s ease;
}

    .course-notstarted:hover, .course-started:hover, .course-completed:hover { 
        box-shadow: 0px 0px 0px 3px rgb(2, 46, 141);
        min-height: 330px;
    }

.course-notstarted {
    /*border: 3px solid rgb(2, 46, 141);*/
}

.course-started { 
    background-blend-mode: luminosity !important;
    background-color: rgb(164, 180, 210) !important;
}

.course-completed { 
    background-blend-mode: soft-light !important;
    background-color: rgb(230, 230, 230) !important;
    color: black !important;
}

.legend-icon {
    display: inline-block;
    height: 30px;
    aspect-ratio: 1;
    width: 30px;
    border-radius: 100%;
    background-color: hsla(247, 78%, 56%, 1);
    background-image: radial-gradient(circle at var(--x-0) var(--y-0), var(--c-0) var(--s-start-0), transparent var(--s-end-0)), radial-gradient(circle at var(--x-1) var(--y-1), var(--c-1) var(--s-start-1), transparent var(--s-end-1)), radial-gradient(circle at var(--x-2) var(--y-2), var(--c-2) var(--s-start-2), transparent var(--s-end-2)), radial-gradient(circle at var(--x-3) var(--y-3), var(--c-3) var(--s-start-3), transparent var(--s-end-3)), radial-gradient(circle at var(--x-4) var(--y-4), var(--c-4) var(--s-start-4), transparent var(--s-end-4)), radial-gradient(circle at var(--x-5) var(--y-5), var(--c-5) var(--s-start-5), transparent var(--s-end-5)), radial-gradient(circle at var(--x-6) var(--y-6), var(--c-6) var(--s-start-6), transparent var(--s-end-6)), radial-gradient(circle at var(--x-7) var(--y-7), var(--c-7) var(--s-start-7), transparent var(--s-end-7)), radial-gradient(circle at var(--x-8) var(--y-8), var(--c-8) var(--s-start-8), transparent var(--s-end-8)), radial-gradient(circle at var(--x-9) var(--y-9), var(--c-9) var(--s-start-9), transparent var(--s-end-9));
}

    .legend-icon.notstarted {
    }

    .legend-icon.started {
        background-blend-mode: exclusion !important;
    }

    .legend-icon.completed {
        background-blend-mode: soft-light !important;
        background-color: rgb(240, 240, 240) !important; 
    }

.legend-icon-btn {
    padding: 6px;
    margin-right: 10px;
    border-radius: 4px;
    cursor: pointer;
}

    .legend-icon-btn:hover {
        background: var(--lighterblue)
    }

    .legend-icon-btn.active {
        background: var(--lighterblue);
        pointer-events: none;
    }

@media only screen and (max-width: 768px) {
    .course-row {
        grid-template-columns: 1fr;
        gap: 14px;
    }

    .course {
        width: 100%;
        margin: auto;
    } 

    #media-items .accordion-toggle {
        width: unset;
    }
}


/* Quiz */
/* ---------------------------------------------------------- */
.answer-container {
    padding-left: 70px;
    background-image: linear-gradient(to right, var(--lighterblue) 33%, transparent 0%);
    background-size: 160px 1px;
    background-repeat: no-repeat;
    background-position: center left;
    padding-top: 7px;
    padding-bottom: 7px;
    border-left: 1px solid var(--lighterblue);
}

    .answer-container .label {
        display: none;
    }

.answer {
    display: grid;
    gap: 5px;
    grid-template-columns: 1fr 5fr 2fr 2fr;
}

    .answer.user-input {
        display: grid;
        gap: 5px;
        grid-template-columns: 7fr 1fr;
    }

.answer-container.add-answer {
    padding-left: 0 !important;
    background-image: none !important;
    border-left: none;
}

    .answer-container.add-answer .label {
        display: none;
    }

.addAnswerForm .answer {
    grid-template-columns: 1fr 5fr 2fr;
}

.addAnswerForm .close, .close {
    background: var(--primary);
    display: flex;
    width: fit-content;
    height: 30px;
    width: 30px;
    border-radius: 100px;
    align-items: center;
    justify-content: center;
    color: white;
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 20px;
    border: 1px solid var(--primary);
}

    .addAnswerForm .close:hover, .close:hover {
        background: var(--secondary) !important;
    }

    .close.bg-danger {
        color: #fff;
        background-color: #bb2d3b !important;
        border-color: #b02a37 !important;
    }

.question {
    transition: box-shadow 0.1s ease, background 0.6s ease, border 0.6s ease;
}

    .question:hover {
        --boxshadow: 0px 0px 10px 4px #ecf0ffd9;
        box-shadow: var(--boxshadow);
        -webkit-box-shadow: var(--boxshadow);
        -moz-box-shadow: var(--boxshadow);
    }


    .question:has(> .delete-question:hover) {
        background-color: rgb(255, 0, 0, 0.01) !important;
        border-color: var(--warning) !important;
    }

.question-break {
    height: 90px;
    width: 2px;
    background: var(--lighterblue);
    margin: auto;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.quiz-question + .quiz-question:before {
    content: "";
    display: block;
    height: 30px;
    width: 2px;
    background: var(--lighterblue);
    margin: auto;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

@media only screen and (max-width: 768px) {
    .answer-container {
        padding-left: 0px;
        background-image: linear-gradient(to right, var(--lighterblue) 33%, transparent 0%);
        background-size: 2px 50px;
        background-repeat: no-repeat;
        background-position: bottom center;
        padding-top: 7px;
        padding-bottom: 70px;
        margin-bottom: 3px;
        border-left: none;
    }

    .answer, .answer.user-input {
        display: grid;
        gap: 15px;
        grid-template-columns: 1fr !important;
    }

    .answer-container .label {
        display: block;
    }
}

/* Circle progress */
@keyframes growProgressBar {
    0%, 33% {
        --pgPercentage: 0;
    }

    100% {
        --pgPercentage: var(--value);
    }
}

@property --pgPercentage {
    syntax: '<number>';
    inherits: true;
    initial-value: 0;
}

@property --progresscolor {
    syntax: '<color>';
    inherits: true;
    initial-value: black;
}

div[role="progressbar"] {
    --size: 0.2rem;
    --fg: Black;
    --bg: #dddddd;
    --pgPercentage: var(--value);
    animation: growProgressBar 3s 1 forwards;
    width: 8rem;
    aspect-ratio: 1;
    border-radius: 50%;
    display: grid;
    background: radial-gradient(farthest-side, #0000 calc(100% - var(--size)), var(--bg) 0);
    font-family: Helvetica, Arial, sans-serif;
    font-size: 1.5rem;
    color: var(--fg);
    top: 50%;
    left: 50%;
    transform: translate(5%, 0%);
    margin: auto;
}


    div[role="progressbar"]:hover {
        --size: 0.2rem;
        font-weight: bold;
    }

    div[role="progressbar"]::after {
        content: "";
        grid-area: 1/1;
        border-radius: 50%;
        padding: var(--size);
        background: conic-gradient(var(--progresscolor), var(--progresscolor), var(--progresscolor), var(--progresscolor));
        --_m: conic-gradient(#000 calc(var(--pgPercentage) * 1%), #0000 0), linear-gradient(#000 0 0) content-box;
        -webkit-mask: var(--_m);
        mask: var(--_m);
        -webkit-mask-composite: source-out;
        mask-composite: subtract;
    }

    div[role="progressbar"]::before {
        counter-reset: percentage var(--value);
        content: counter(percentage)'%';
        grid-area: 1/1;
        margin: auto;
        --size: 0.2rem;
        font-weight: 500;
        font-family: "Nunito Sans", sans-serif;
        font-size: 35px;
    }

    div[role="progressbar"].Fail {
        --progresscolor: red !important
    }

    div[role="progressbar"].Pass {
        --progresscolor: orange !important
    }

    div[role="progressbar"].Distinction {
        --progresscolor: green !important
    }


/* Quiz */
/* ---------------------------------------------------------- */
.accordion .accordion-item {
    border: none !important
}

.accordion .accordion-toggle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    transition: 0.3s ease;
    cursor: pointer;
    padding: 5px 10px;
    border-radius: 6px;
}

    .accordion .accordion-toggle:hover {
        background-color: rgba(200,200,200, 0.08);
    }

    .accordion .accordion-toggle i {
        background: var(--lightergrey) !important;
        padding: 7px;
        border-radius: 100px;
        transition: 0.3s ease;
    }


    .accordion .accordion-toggle.open i {
        transform: rotate(180deg)
    }

.collapse-link {
    cursor: pointer !important;
    color: black;
    text-decoration: none !important;
    border: none !important
}

    .collapse-link:hover {
        color: lightslategrey;
    }

/* Steps */
/* --------------------------------------------------- */
.progress-steps {
    display: flex;
    width: 100%;
    justify-content: center;
    transform: scale(0.75);
    gap: 50px;
    font-weight: bold;
    color: grey;
    text-align: center;
}

    .progress-steps .progress-item {
        display: inline-block
    }


    .progress-steps .progress-dot {
        width: 25px;
        height: 25px;
        background-color: #C9C9C9;
        display: block;
        border-radius: 100px;
        margin: auto;
        margin-bottom: 12px;
    }

.progress-item.active {
    color: var(--primary);
}

    .progress-item.active .progress-dot {
        background-color: var(--primary);
    }

.progress-item:only-child::before {
    content: "";
    background-color: #C9C9C9;
    height: 2px;
    width: 0% !important;
    display: block;
    margin-bottom: -15px;
    margin-left: 50%;
}

.progress-item:first-of-type::before {
    content: "";
    background-color: #C9C9C9;
    height: 2px;
    width: 100%;
    display: block;
    margin-bottom: -15px;
    margin-left: 50%;
}

.progress-item::before {
    content: "";
    background-color: #C9C9C9;
    height: 2px;
    width: 200%;
    display: block;
    margin-bottom: -15px;
    margin-left: -50%;
}

.progress-item:last-of-type::before {
    content: "";
    background-color: #C9C9C9;
    height: 2px;
    width: 100%;
    display: block;
    margin-bottom: -15px;
    margin-left: -50%;
}

.progress-item.active::before {
    content: "";
    background-color: var(--primary) !important;
}

@media only screen and (max-width: 768px) {
    .progress-steps {
        transform: scale(0.7);
    }
}
